
ChiliProject - Bug # 523: Gzipped history of wiki pages is garbeled during an update of an older 
version to 2.0

Status: Closed Priority: High
Author: Holger Just Category: Wikis
Created: 2011-07-14 Assignee: Felix Schäfer
Updated: 2011-07-29 Due date:
Remote issue URL:
Affected version: 2.0.0
Description: It seems the migration of the wiki history towards aaj doesn't properly deal with gziped history.

I *think* its related to string encoding in MySQL vs. in the serialized yaml that is used in aaj. But I might be 
wrong here. I still need to build a test setup for that as I couldn't reproduce this yet.

The issues was observed by at least Z-95 and Skaag (who uses MySQL) on IRC.

Associated revisions
2011-07-29 10:19 am - Felix SchÃ¤fer 
Correct deflation of gzipped wiki text. #523

History
2011-07-28 10:05 am - Felix Schäfer
- Target version set to 2.1.0

- Assignee changed from Holger Just to Felix Schäfer

- Status changed from Open to Ready for review

Not a problem of MySQL, but an oversight while updating the wiki code for aaj. Here's the fix:

<pre><code class="diff">diff --git a/app/models/wiki_content.rb b/app/models/wiki_content.rb
index 9533a8a..5f62d24 100644
--- a/app/models/wiki_content.rb
+++ b/app/models/wiki_content.rb
@@ -101,9 +101,9 @@ class WikiContent < ActiveRecord::Base
     end
 
     def text
-      @text ||= case changes[:compression]
+      @text ||= case changes["compression"]
       when 'gzip'
-         Zlib::Inflate.inflate(data)
+         Zlib::Inflate.inflate(changes["data"])
       else
         # uncompressed data
         changes["data"]</code></pre>

2011-07-29 08:20 am - Felix Schäfer
- Status changed from Ready for review to Closed

Committed in commit:894911f5dc73ad1566fffea2e85437681800f68c
